<template>
    <div class="row">
        <div class="single-form-left">
            <div class="contact-single">
                <h3 class="editContent">
                    <span class="sub-tittle editContent">0</span>Feedback
                </h3>
                <form action="#" method="get" class="mt-4" id="formRatings">
                    <div class="form-group editContent">
                        <label for="contactcomment" class="editContent">Your comment *</label>
                        <textarea class="form-control border" rows="5" id="contactcomment"
                                  required="true" v-model="text">
                        </textarea>
                    </div>
                    <div class="d-sm-flex">
                        <div class="col-sm-2 form-group p-0 editContent">
                            <label for="contactusername" class="editContent">Star *</label>
                            <select  required="true" v-model="star">
                                <option v-for="option in listStar" v-bind:value="option">
                                    {{option}}
                                </option>
                            </select>
                        </div>
                        <div class="col-sm-10 form-group ml-sm-3 editContent">
                            <label for="contactemail" class="editContent">Email *
                            </label>
                            <input type="email" class="form-control border" id="contactemail"
                                   required="true" v-model="email">
                        </div>
                    </div>
                    <button type="button" class="mt-3 btn btn-success btn-block py-3"
                            @click="sendRatings()">
                        Send
                    </button>
                </form>
            </div>

        </div>
        <div class="media py-5 ratings" v-for="rating in ratings" :key="rating.id">
            <div class="media-body mt-4">
                <h5 class="mt-0 editContent">Email: {{rating.email}}</h5>
                <h4 class="mt-2 editContent">Comment: {{rating.text}}</h4>
                 <ul class="stars">
                    Stars: <li v-for="star in listStar" :key="star">
                        <span class="fa":class="star <= rating.star ? 'fa-star' : 'fa-star-o' "aria-hidden="true"></span>
                    </li>
                 </ul>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "Ratings",
        props: ["ratings", "restaurant"],
        data() {
            return {
                listStar: [1, 2, 3, 4, 5],
                email: '',
                text: '',
                star: '',
                restaurant: '',

            }
        },
        methods: {
            async sendRatings() {
                let data = {
                    star: this.star,
                    email: this.email,
                    text: this.text,
                    restaurant: this.restaurant
                }
                fetch(`${this.$store.getters.getServerUrl}ratings/`,
                    {
                        method: "POST",
                        headers: {
                            'Content-Type': 'application/json'
                        },
                        body: JSON.stringify(data)
                    }
                ).then(response => {
                    this.$emit('reLoad')
                    this.clearForm()
                })
            },
            clearForm() {
                this.email = ''
                this.text = ''
                this.star = ''
            }
        },
        mounted () {
            const email = localStorage.getItem('email')
                if (email) {
                    this.email = email
            }
        },
    }
</script>

<style scoped>
    .ratings {
        width: 100%;
    }
</style>
